=== debian/changelog ===
cordova-ubuntu-3.4 (3.4~pre3.r19build1) trusty; urgency=medium

  * No change rebuild against libqt5core5a.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 11:31:48 +0000

cordova-ubuntu-3.4 (3.4~pre3.r19) trusty; urgency=low

  * Releasing 3.4~pre3.r19

 -- David Barth <david.barth@canonical.com>  Thu, 20 Feb 2014 11:48:39 +0100

cordova-ubuntu-3.4 (3.4~pre3.r17ubuntu2) trusty; urgency=low

  * Test build with additional plugins

 -- David Barth <david.barth@canonical.com>  Wed, 19 Feb 2014 17:48:58 +0100

cordova-ubuntu-3.4 (3.4~pre3.r17) trusty; urgency=medium

  [ Alexandre Abreu ]
  * Rename package and paths. (LP: #1281012)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 18 Feb 2014 10:51:24 +0100

cordova-ubuntu-3.4 (3.4~pre3.r16) trusty; urgency=medium

  * Upload r16 of lp:cordova-ubuntu/3.4.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 14 Feb 2014 10:21:43 +0100

cordova-ubuntu-3.4 (3.4~pre3ubuntu1) UNRELEASED; urgency=low

  * Add the full set of platform plugins

 -- David Barth <david.barth@canonical.com>  Fri, 14 Feb 2014 16:17:05 +0100

cordova-ubuntu-3.4 (3.4~pre3) trusty; urgency=low

  * Trusty build

 -- David Barth <david.barth@canonical.com>  Wed, 12 Feb 2014 11:22:25 +0100

cordova-ubuntu-3.4 (3.4~pre3~saucy0) saucy; urgency=low

  * Source package changed to avoid a clash with cordova-ubuntu(-2.8)

 -- David Barth <david.barth@canonical.com>  Wed, 12 Feb 2014 09:55:07 +0000

cordova-ubuntu (3.4~pre1~saucy0) saucy; urgency=low

  * Saucy upload

 -- David Barth <david.barth@canonical.com>  Fri, 07 Feb 2014 10:13:49 -0500

cordova-ubuntu (3.4~pre1) trusty; urgency=low

  * Initial release. (LP: #1279814)

 -- David Barth <david.barth@canonical.com>  Wed, 05 Feb 2014 18:50:34 -0500
