=== debian/control ===
Source: cordova-ubuntu-3.4
Section: gnome
Priority: optional
Maintainer: Ubuntu Webapps Team <webapps@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libx11-dev,
               libicu-dev,
               pkg-config,
               qtbase5-dev,
               qtchooser,
               qtdeclarative5-dev,
               qtfeedback5-dev,
               qtlocation5-dev,
               qtmultimedia5-dev,
               qtpim5-dev,
               qtsensors5-dev,
               qtsystems5-dev,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/cordova-ubuntu
# if you don't have have commit access to this branch but would like to upload
# directly to Ubuntu, don't worry: your changes will be merged back into the
# upstream branch
Vcs-Bzr: lp:cordova-ubuntu/3.4

Package: ubuntu-html5-platform-3.4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Cordova Framework for building mobile web apps - development files
 Cordova is a free and open source framework that allows you to create mobile
 apps using standardized web APIs for the platforms you care about.
 .
 This package contains library files that are needed to build applications.
 The libraries are not meant to be installed on the system, but should be
 embedded in a click package.
