## cordova-ubuntu-3.4 3.4~pre3.r19ubuntu1

=== debian/changelog ===
cordova-ubuntu-3.4 (3.4~pre3.r19ubuntu1) utopic; urgency=medium

  * Rename dep package qtsensors5-dev to libqt5sensors5-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jun 2014 11:59:37 +0100
