=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qtlocation5-dev,
                qtmultimedia5-dev,
                qtpim5-dev,
-               qtsensors5-dev,
+               libqt5sensors5-dev,
                qtsystems5-dev,
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/cordova-ubuntu
